Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing
Interface ObjectFactory

All Superinterfaces:
  Factory

All Known Subinterfaces:
  CoordinateOperationFactory, CRSFactory, CSFactory, DatumFactory

    @Extension
    public interface ObjectFactory

extends Factory

Base interface for all factories of identified objects. Factories build up complex objects from simpler objects or values. This factory allows applications to make coordinate systems, datum or coordinate reference systems that cannot be created by an authority factory. This factory is very flexible, whereas the authority factory is easier to use.

### Object properties

Most factory methods expect a `Map` argument. The map is often (but is not required to be) a `Properties` instance. The map shall contains at least a `"name"` property. In the common case where the name is the only property, the map may be constructed with `Collections.singletonMap("name", theName)` where theName is an arbitrary name as free text. Additionally, implementations are encouraged to recognize at least the properties listed in the following table. More implementation-specific properties may be added as well. In any case, unknown properties will be ignored.

Property name | Value type | Value given to
--- | --- | ---
"name" | `ReferenceIdentifier` or `String` | `IdentifiedObject.getName()`
"alias" | `String`, `String[]`, `GenericName` or `GenericName[]` | `IdentifiedObject.getAlias()`
"authority" | `String` or `Citation` | `Identifier.getAuthority()` on the name
"codespace" | `String` | `ReferenceIdentifier.getCodeSpace()` on the name
"version" | `String` | `ReferenceIdentifier.getVersion()` on the name
"identifiers" | `Identifier` or `Identifier[]` | `IdentifiedObject.getIdentifiers()`
"remarks" | `String` or `InternationalString` | `IdentifiedObject.getRemarks()`

The `"name"` property is mandatory. All others are optional. Additionally, all localizable attributes like `"remarks"` may have a language and country code suffix. For example the `"remarks_fr"` property stands for remarks in French and the `"remarks_fr_CA"` property stands for remarks in French Canadian.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary

Methods inherited from interface Factory
`getVendor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.